cancel
Showing results for 
Search instead for 
Did you mean: 

Who Me Too'd this topic

"Cannot be used with this version of the operating system"

Wonka
Apprentice

So I'm on a IMac running OX 10.8.5, avoiding Mavericks because it's not yet compatable to some other software programs I use, is there an update for Mac 10.8.5 and above? 

Who Me Too'd this topic